Package pyplusplus :: Package code_creators :: Module smart_pointers :: Class smart_pointer_registrator_t

# type smart_pointer_registrator_t

source code

                             object --+
                                      |
            code_creator.code_creator_t --+
                                          |
    registration_based.registration_based_t --+
                                              |
      declaration_based.declaration_based_t --+
                                              |
                                             smart_pointer_registrator_t

Convertor for boost::python::register_ptr_to_python<PTR>. Lets boost python know that it can use smart_ptr to hold a an object. See: http://www.boost.org/libs/python/doc/v2/register_ptr_to_python.html

Instance Methods

__init__(self, smart_ptr, class_creator) smart_ptr: string of ptr type. | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers` Inherited from `declaration_based.declaration_based_t`: `get_user_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| smart_ptr
| class_creator
Inherited from `registration_based.registration_based_t`: `associated_decl_creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance` Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation`

Method Details

### __init__(self, smart_ptr, class_creator)
(Constructor)

source code

smart_ptr: string of ptr type. Ex: 'boost::shared_ptr'

Parameters:
  - `parent` - Parent code creator.
Overrides: declaration_based.declaration_based_t.__init__

Property Details

### smart_ptr

Get Method:
  _get_smart_ptr(self)
Set Method:
  _set_smart_ptr(self, ptr)

### class_creator

Get Method:
  _get_class_creator(self)
Set Method:
  _set_class_creator(self, cc)